GHSA-pf3p-v9xp-mrvf

Suggest an improvement
Source
https://github.com/advisories/GHSA-pf3p-v9xp-mrvf
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-pf3p-v9xp-mrvf/GHSA-pf3p-v9xp-mrvf.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-pf3p-v9xp-mrvf
Aliases
Published
2022-05-24T22:00:30Z
Modified
2024-05-02T05:15:57.893375Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
py-lmdb Invalid write operation
Details

An issue was discovered in py-lmdb 0.97. For certain values of mn_flags, mdb_cursor_set triggers a memcpy with an invalid write operation within mdb_xcursor_init1. NOTE: this outcome occurs when accessing a data.mdb file supplied by an attacker.

References

Affected packages

PyPI / lmdb

Package

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
0.97

Affected versions

0.*

0.58
0.59
0.60
0.61
0.62
0.63
0.64
0.65
0.66
0.67
0.68
0.69
0.70
0.71
0.73
0.74
0.75
0.76
0.77
0.78
0.79
0.80
0.81
0.82
0.83
0.84
0.85
0.86
0.87
0.88
0.89
0.91
0.92
0.93
0.94
0.95
0.96
0.97